summaryrefslogtreecommitdiff
path: root/qa/768
diff options
context:
space:
mode:
authorIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
committerIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
commit47e6e7c84f008a53061e661f31ae96629bc694ef (patch)
tree648a07f3b5b9d67ce19b0fd72e8caa1175c98f1a /qa/768
downloadpcp-debian.tar.gz
Debian 3.9.10debian/3.9.10debian
Diffstat (limited to 'qa/768')
-rwxr-xr-xqa/76831
1 files changed, 31 insertions, 0 deletions
diff --git a/qa/768 b/qa/768
new file mode 100755
index 0000000..ca5c8b2
--- /dev/null
+++ b/qa/768
@@ -0,0 +1,31 @@
+#!/bin/sh
+# PCP QA Test No. 768
+# pmlogextract bug - reported by Tom Yearke
+#
+# Copyright (c) 2013 Ken McDonell, Tom Yearke. All Rights Reserved.
+#
+
+# get standard filters
+. ./common.product
+. ./common.filter
+. ./common.check
+
+seq=`basename $0`
+
+[ $PCP_VER -lt 3809 ] && _notrun "pmlogextract fix in PCP 3.8.9"
+
+echo "QA output created by $seq"
+
+status=1 # failure is the default!
+$sudo rm -rf $tmp.* $seq.full
+trap "cd $here; rm -rf $tmp.*; exit \$status" 0 1 2 3 15
+
+# real QA test starts here
+pmlogextract -Z UTC -S "@ Nov 27 15:52:30" -T "@ Nov 27 15:54:30" src/node_archive $tmp
+
+pmdumplog -a -Z UTC $tmp
+
+# success, all done
+status=0
+
+exit